import Nuron from 'nuron-node'
import Dendria from '../index.js';
const nuron = new Nuron();
(async () => {
  await nuron.init()

  if (!nuron.unlocked) {
    console.log("locked. let's create an account")
    await nuron.create()
    console.log("nuron", nuron)
//    await nuron.register("alice", "1234")
    await nuron.login("alice", "1234")
  }

  const dendria = new Dendria(nuron, {
    connect: "https://connect.nuron.app/ucan",
    publish: "https://api.nft.storage"
  });
  console.log("cache", dendria.nuron.cache)
  await dendria.init()

  let session = await dendria.session()
  if (!session) {
    console.log("connect to dendria")
    await dendria.connect() 
  }
  session = await dendria.session()
  console.log("new session", session)

  for(let i=0; i<10; i++) {
    await dendria.writeFS("folder/" + i + ".txt", "" + i)
  }

  let cid = await dendria.publishFS("folder")
  console.log("cid", cid)

})();
